dpkg-scansources(1)

NOMBRE
dpkg-scansources - Creación de ficheros de índice «Sources»

SINOPSIS
dpkg-scansources [opción...] directorio-binario [fichero-override [prefijo-ruta]] > Sources

DESCRIPCIÓN
dpkg-scansources busca ficheros .dsc en el directorio-binario dado. Estos sirven para crear un índice de fuentes de Debian, que se muestra por la salida estándar.

The override-file, if given, is used to set priorities in the resulting index records and to override the maintainer field given in the .dsc files. The file can be compressed (since dpkg 1.15.5). See deb-override(5) for the format of this file. Note: Since the override file is indexed by binary, not source packages, there's a bit of a problem here. The current implementation uses the highest priority of all the binary packages produced by a .dsc file for the priority of the source package, and the override entry for the first binary package listed in the .dsc file to modify maintainer information. This might change.

Si se proporciona prefijo-ruta, se antepondrá al campo del directorio en el índice de fuentes generado. Habitualmente, se usa para hacer que el campo de directorio contenga la ruta desde el directorio superior del archivo de Debian.

Nota: Si desea acceder al fichero generado «Sources» mediante apt(8), es posible que necesite comprimir el fichero con gzip(1), generando así un fichero «Sources.gz». apt ignora ficheros «Sources» descomprimidos, a excepción de ficheros locales (por ejemplo, file:// sources).

OPCIONES

-n, --no-sort
    Evita ordenar los registros del índice de fuentes. Habitualmente, se ordena por el nombre de los paquetes fuente.

-e, --extra-override fichero
Scan file to find supplementary overrides (since dpkg 1.15.4; the file
    can be compressed since dpkg 1.15.5). See deb-extra-override(5) for more information on its format.

-s, --source-override fichero
    Use file as the source override file (the file can be compressed since dpkg 1.15.5). The default is the name of the override file you specified with .src appended.

    El fichero «override» de las fuentes está en un formato distinto del fichero «override» de los paquetes binarios. Contiene solamente dos campos separados por espacios en blanco, siendo el primer campo el nombre del paquete fuente y el segundo el de sección. Se omiten las líneas en blanco y de comentarios. Si un paquete aparece en ambos ficheros, el fichero «override» de las fuentes tiene preferencia.

--debug
    Activa la depuración.

--help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

VÉASE TAMBIÉN
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.